from datetime import datetime, timedelta

from netforce.model import Model, fields

FMT_DATE="%Y-%m-%d %H:%M:%S"

class Cycle(Model):
    _name="clinic.cycle"
    _string="Cycle"

    _fields={
        "name": fields.Char("Name",required=True,search=True),
        #"time_start": fields.DateTime("Time Start"),  
        #"time_stop": fields.DateTime("Time Stop"),  
        'duration': fields.Integer("Duration (hrs)"),
    }

    def _get_time_stop(self,context):
        time_stop=datetime.now()+timedelta(seconds=3600)
        return time_stop.strftime(FMT_DATE)

    _defaults={
        #'time_start': lambda *a: datetime.now().strftime(FMT_DATE),
        #'time_stop': _get_time_stop,
        'duration': 1,
    }
    
    def onchange_duration(self,context={}):
        data=context['data']
        duration=data['duration']
        seconds=duration*3600
        time_start=data['time_start']
        data['time_stop']=(datetime.strptime(time_start,FMT_DATE)+timedelta(seconds=seconds)).strftime(FMT_DATE)
        return data
        

Cycle.register()
